Skip to main content
`Ctrl`+`K`

# MatCompositeGetNumberMat

Returns the number of matrices in the composite matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeGetNumberMat(Mat mat, PetscInt *nmat)

Not Collective

## Input Parameter

- mat - the composite matrix

## Output Parameter

- nmat - number of matrices in the composite matrix

## See Also

Matrices, `Mat`, `MatCreateComposite()`, `MatCompositeGetMat()`, `MATCOMPOSITE`

## Level

advanced

## Location

src/mat/impls/composite/mcomposite.c

## Examples

src/mat/tutorials/ex9.c

## Implementations

MatCompositeGetNumberMat_Composite() in src/mat/impls/composite/mcomposite.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages